package m05bIdioma;
/*
 * Creacion: 07/07/2005
 */
    
import java.util.ResourceBundle;

import m05bClasses.m05bConstantesPaginas;
import m05bClasses.m05bConstantes;
import m05bClasses.m05bFileLog;

/**
 *  Esta clase representa la configuración de la aplicación
 */
public class m05bCConfiguracion {

    private static ResourceBundle cRecursos = null;
    
    /**
     *  Obtiene la característica astrClave de la configuración.
     *  @param  astrClave   característica que queremos obtener.
     *  @return String      valor que tiene la característica buscada.
     */    
    public static String get(String astrClave) {
	    m05bFileLog miLog = new m05bFileLog();
    	
        String lstrValor = "";
		miLog.addTraza("persona","CConfiguracion","GET: "  + astrClave,m05bConstantes.LOG_NIVEL_BAJO);
        loadConfig();
        lstrValor = cRecursos.getString(astrClave);
        return lstrValor;
    }
    
    /**
     *  Carga la configuración de la aplicación
     */ 
    private static void loadConfig() {
	    m05bFileLog miLog = new m05bFileLog();
    	
		miLog.addTraza("persona","CConfiguracion","LOAD CONFIG: ",m05bConstantes.LOG_NIVEL_BAJO);
        if (cRecursos == null)  {
        	cRecursos = ResourceBundle.getBundle(m05bConstantesPaginas.PATH_PROPERTIES);
        }
    }
    
}